Netbeans 4 and Java 5